unit uMakeExeDb;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfrmMakeExeDB = class(TForm)
    odStub: TOpenDialog;
    Label1: TLabel;
    edDBFileName: TEdit;
    edExeFileName: TEdit;
    Label2: TLabel;
    edExeDBFileName: TEdit;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    sdExeDatabase: TSaveDialog;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMakeExeDB: TfrmMakeExeDB;

implementation

uses main;

{$R *.dfm}

procedure TfrmMakeExeDB.FormShow(Sender: TObject);
begin
  edDBFileName.Text := frmMain.db.DatabaseFileName;
end;

procedure TfrmMakeExeDB.SpeedButton2Click(Sender: TObject);
begin
  if (odStub.Execute) then
    edExeFileName.Text := odStub.FileName;
end;

procedure TfrmMakeExeDB.SpeedButton3Click(Sender: TObject);
begin
  if (sdExeDatabase.Execute) then
    edExeDBFileName.Text := sdExeDatabase.FileName;
end;

end.
